#!env/bin/python3.10
# -*- coding: UTF-8 -*-

import sys  # для работы с аргументами

# активация FLASK
from flask import Flask
app = Flask(__name__, static_url_path='', static_folder='')
app.config.from_object('config')  # активируем файл конфигурации


# =======================================================================
# Процедура чтения переменных из файла config.py
# =======================================================================
def GetConfig(VarName):
    try:
        return app.config[VarName]  # чтение конфига
    except:
        return ""  # если переменная не задана в конфиге, то выдаем пустоту


# =======================================================================
# MAIN
# =======================================================================
if __name__ == "__main__":
    if len(sys.argv) > 1:  # если что-то передано кроме имени файла
        if (sys.argv[1] == '--getconfig'):  # получаем команду
            print(GetConfig(sys.argv[2]))  # отправляем аргумент в процедуру
